#include <iostream>
#include <fstream>
#include <vector>
#include <string>
#include <cstdlib>
#include <ctime>
using namespace std;

//file lesen
void read_file(string &infilename, vector<double> &eingabe)
{
	ifstream infile; //Stream ffnen
	infile.open(infilename.c_str(), ios::in); // file ffnen
	string data; // Variablendeklaration
	double var;

	if (!infile.good()) { //Prfung ob das File ffenbar ist
    cerr << "read file: Datei " << infilename
         << " konnte nicht geoeffnet werden." << endl;
    return;
  }

  do{
		 getline (infile, data); // Zeilenweises auslesen der Datei
		sscanf (data.c_str(), "%lf", &var); //Auslesen der beiden Double aus dem data string
		eingabe.push_back(var); // anhngen der werte an den Vektor
  }

  while(infile.eof()==false); // Abbruchbedingung bis zum ende des Files


  infile.close(); //file schliesen
}



void write_file(string &outfilename, vector<double> &ausgabe)//File schreiben
{
  string data; // Variablendeklaration
  ofstream outfile (outfilename.c_str(), ios::out); //stream ffnen
  if (!outfile.good()) { //prfung auf ffen- und Erstellbarkeit der datei
    cerr << "write file: Datei " << outfilename
         << " konnte nicht geoeffnet werden." << endl;
    return;
  }
	for(int i=0; i<ausgabe.size(); i++) // Zeilenweises schreiben in die Zieldatei bis zum ende des Vektors
	{
		outfile << ausgabe[i] << endl;

	}

	outfile.close(); //file Schliesen


}
