#include <iostream>
#include <vector>
#include <cstdio>
#include "file_io.h"
#include "user_input.h"

using namespace std;

//********************************************
// DCT Marian Guggenberger, Cyrill Vergeiner
//********************************************

int main (int argc, char* argv[]) {

  string infilename;
  string outfilename;
   vector<double> eingabe;
   vector<double> ausgabe;

  // Check whether file names are provided as command line arguments
  // Otherwise, ask user for input
  if (argc > 1) {
    infilename = argv[1];
  }
  else {
    getstringfromuserinput (infilename,
                            "Eingabedatei: ");
  }
  if (argc > 2) {
    outfilename = argv[2];
  }
  else {
    getstringfromuserinput (outfilename,
                            "Ausgabedatei: ");
  }

	read_file(infilename,eingabe); // file Lesen
	ausgabe.resize(eingabe.size());			// Ausgabevektoren auf die Gre der Eingabevektoren bringen
	dct(eingabe,ausgabe); // werte transformieren
	write_file(outfilename, ausgabe);// file schreiben
}
